#ifndef TMUT_ACCOUNT_EDITOR_H
#define TMUT_ACCOUNT_EDITOR_H

/* TMut
 * Copyright (C) 2006-2007 Philip Van Hoof <pvanhoof@gnome.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with self library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#include <glib.h>
#include <gtk/gtk.h>
#include <glib-object.h>
#include <tny-shared.h>

#include <tny-account.h>

G_BEGIN_DECLS

#define TMUT_TYPE_ACCOUNT_EDITOR             (tmut_account_editor_get_type ())
#define TMUT_ACCOUNT_EDITOR(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), TMUT_TYPE_ACCOUNT_EDITOR, TMutAccountEditor))
#define TMUT_ACCOUNT_EDITOR_CLASS(vtable)    (G_TYPE_CHECK_CLASS_CAST ((vtable), TMUT_TYPE_ACCOUNT_EDITOR, TMutAccountEditorClass))
#define TMUT_IS_ACCOUNT_EDITOR(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TMUT_TYPE_ACCOUNT_EDITOR))
#define TMUT_IS_ACCOUNT_EDITOR_CLASS(vtable) (G_TYPE_CHECK_CLASS_TYPE ((vtable), TMUT_TYPE_ACCOUNT_EDITOR))
#define TMUT_ACCOUNT_EDITOR_GET_CLASS(inst)  (G_TYPE_INSTANCE_GET_CLASS ((inst), TMUT_TYPE_ACCOUNT_EDITOR, TMutAccountEditorClass))

typedef struct _TMutAccountEditor TMutAccountEditor;
typedef struct _TMutAccountEditorClass TMutAccountEditorClass;

struct _TMutAccountEditor
{
	GtkVBox parent;
};

struct _TMutAccountEditorClass
{
	GtkVBoxClass parent_class;

	/* Signals */
	void (*ok_clicked) (TMutAccountEditor *self);
};

GType tmut_account_editor_get_type (void);
TMutAccountEditor* tmut_account_editor_new (TnyAccount *account);


gboolean tmut_account_editor_get_enabled (TMutAccountEditor *self);
const gchar* tmut_account_editor_get_name (TMutAccountEditor *self);
const gchar* tmut_account_editor_get_hostname (TMutAccountEditor *self);
const gchar* tmut_account_editor_get_proto (TMutAccountEditor *self);
const gchar* tmut_account_editor_get_account_type (TMutAccountEditor *self); 
const gchar* tmut_account_editor_get_user (TMutAccountEditor *self);
const gchar* tmut_account_editor_get_from (TMutAccountEditor *self);
gchar** tmut_account_editor_get_options (TMutAccountEditor *self);
TnyAccount *tmut_account_editor_get_account (TMutAccountEditor *self);


G_END_DECLS

#endif
