#ifndef TMUT_ACCOUNT_STORE_H
#define TMUT_ACCOUNT_STORE_H

/* TMut
 * Copyright (C) 2006-2007 Philip Van Hoof <pvanhoof@gnome.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with self library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#include <tny-account-store.h>

G_BEGIN_DECLS

#define TMUT_TYPE_ACCOUNT_STORE             (tmut_account_store_get_type ())
#define TMUT_ACCOUNT_STORE(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), TMUT_TYPE_ACCOUNT_STORE, TMutAccountStore))
#define TMUT_ACCOUNT_STORE_CLASS(vtable)    (G_TYPE_CHECK_CLASS_CAST ((vtable), TMUT_TYPE_ACCOUNT_STORE, TMutAccountStoreClass))
#define TMUT_IS_ACCOUNT_STORE(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TMUT_TYPE_ACCOUNT_STORE))
#define TMUT_IS_ACCOUNT_STORE_CLASS(vtable) (G_TYPE_CHECK_CLASS_TYPE ((vtable), TMUT_TYPE_ACCOUNT_STORE))
#define TMUT_ACCOUNT_STORE_GET_CLASS(inst)  (G_TYPE_INSTANCE_GET_CLASS ((inst), TMUT_TYPE_ACCOUNT_STORE, TMutAccountStoreClass))

typedef struct _TMutAccountStore TMutAccountStore;
typedef struct _TMutAccountStoreClass TMutAccountStoreClass;

struct _TMutAccountStore
{
	GObject parent;
};

struct _TMutAccountStoreClass
{
	GObjectClass parent;

	/* Signals */
	void (*account_deleted) (TMutAccountStore *self, TnyAccount *account);
	void (*account_created) (TMutAccountStore *self, TnyAccount *account);
	void (*account_edited) (TMutAccountStore *self, TnyAccount *account);
};

GType tmut_account_store_get_type (void);
TnyAccountStore* tmut_account_store_new (void);

void tmut_account_store_create_account (TMutAccountStore *self, 
		gboolean enabled,
		const gchar *name, 
		const gchar *hostname, 
		const gchar *proto,
		const gchar *type,
		const gchar *user,
		const gchar *mech,
		const gchar *from,
		gint port,
		const gchar **options);

void tmut_account_store_delete_account (TMutAccountStore *self, TnyAccount *account);

void tmut_account_store_edit_account (TMutAccountStore *self, TnyAccount *account, 
		gboolean enabled,
		const gchar *name, 
		const gchar *hostname, 
		const gchar *proto,
		const gchar *user,
		const gchar *mech,
		const gchar *from,
		gint port,
		const gchar **options);

G_END_DECLS

#endif
