#ifndef TMUT_FOLDER_SELECTOR_H
#define TMUT_FOLDER_SELECTOR_H

/* TMut
 * Copyright (C) 2006-2007 Philip Van Hoof <pvanhoof@gnome.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with self library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#include <glib.h>
#include <gtk/gtk.h>
#include <glib-object.h>
#include <tny-shared.h>

#include <tny-account.h>
#include <tny-account-store-view.h>

G_BEGIN_DECLS

#define TMUT_TYPE_FOLDER_SELECTOR             (tmut_folder_selector_get_type ())
#define TMUT_FOLDER_SELECTOR(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), TMUT_TYPE_FOLDER_SELECTOR, TMutFolderSelector))
#define TMUT_FOLDER_SELECTOR_CLASS(vtable)    (G_TYPE_CHECK_CLASS_CAST ((vtable), TMUT_TYPE_FOLDER_SELECTOR, TMutFolderSelectorClass))
#define TMUT_IS_FOLDER_SELECTOR(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TMUT_TYPE_FOLDER_SELECTOR))
#define TMUT_IS_FOLDER_SELECTOR_CLASS(vtable) (G_TYPE_CHECK_CLASS_TYPE ((vtable), TMUT_TYPE_FOLDER_SELECTOR))
#define TMUT_FOLDER_SELECTOR_GET_CLASS(inst)  (G_TYPE_INSTANCE_GET_CLASS ((inst), TMUT_TYPE_FOLDER_SELECTOR, TMutFolderSelectorClass))

typedef struct _TMutFolderSelector TMutFolderSelector;
typedef struct _TMutFolderSelectorClass TMutFolderSelectorClass;

struct _TMutFolderSelector
{
	GtkVBox parent;
};

struct _TMutFolderSelectorClass
{
	GtkVBoxClass parent_class;

	/* Signals */
	void (*folder_selected) (TMutFolderSelector *self);

};


GType tmut_folder_selector_get_type (void);
TMutFolderSelector* tmut_folder_selector_new (void);
TnyFolderStore* tmut_folder_selector_get_current (TMutFolderSelector *self);

G_END_DECLS

#endif
