#ifndef TMUT_FOLDER_VIEW_H
#define TMUT_FOLDER_VIEW_H

/* TMut
 * Copyright (C) 2006-2007 Philip Van Hoof <pvanhoof@gnome.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with self library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#include <glib.h>
#include <gtk/gtk.h>
#include <glib-object.h>
#include <tny-shared.h>

G_BEGIN_DECLS

#define TMUT_TYPE_FOLDER_VIEW             (tmut_folder_view_get_type ())
#define TMUT_FOLDER_VIEW(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), TMUT_TYPE_FOLDER_VIEW, TMutFolderView))
#define TMUT_FOLDER_VIEW_CLASS(vtable)    (G_TYPE_CHECK_CLASS_CAST ((vtable), TMUT_TYPE_FOLDER_VIEW, TMutFolderViewClass))
#define TMUT_IS_FOLDER_VIEW(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TMUT_TYPE_FOLDER_VIEW))
#define TMUT_IS_FOLDER_VIEW_CLASS(vtable) (G_TYPE_CHECK_CLASS_TYPE ((vtable), TMUT_TYPE_FOLDER_VIEW))
#define TMUT_FOLDER_VIEW_GET_CLASS(inst)  (G_TYPE_INSTANCE_GET_CLASS ((inst), TMUT_TYPE_FOLDER_VIEW, TMutFolderViewClass))

typedef struct _TMutFolderView TMutFolderView;
typedef struct _TMutFolderViewClass TMutFolderViewClass;

struct _TMutFolderView
{
	GtkVBox parent;
};

struct _TMutFolderViewClass
{
	GtkVBoxClass parent_class;

	/* virtuals */

	/* Override this one if you want to provide your own menu items for
	 * delete msg and copy&mov msg and delete folder. The construction of 
	 * this type will call this. Note that @self here is a GtkVBox and 
	 * that you can add your widgets to it. */

	void (*create_menu) (TMutFolderView *self);
};

GType tmut_folder_view_get_type (void);
TMutFolderView* tmut_folder_view_new (TnyAccountStore *account_store);

void tmut_folder_view_set_active_folder (TMutFolderView *self, TnyFolder *folder);

/* Preimplemented handlers for your action performers */
void tmut_folder_view_on_message_delete_activated (GObject *sender, TMutFolderView *self);
void tmut_folder_view_on_message_move_activated (GObject *sender, TMutFolderView *self);
void tmut_folder_view_on_message_copy_activated (GObject *sender, TMutFolderView *self);

G_END_DECLS

#endif
