#ifndef TMUT_HEADER_VIEW_H
#define TMUT_HEADER_VIEW_H

/* TMut
 * Copyright (C) 2006-2007 Philip Van Hoof <pvanhoof@gnome.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with self library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#include <gtk/gtk.h>
#include <glib-object.h>
#include <tny-shared.h>

#include <tny-gtk-header-view.h>

G_BEGIN_DECLS

#define TMUT_TYPE_HEADER_VIEW             (tmut_header_view_get_type ())
#define TMUT_HEADER_VIEW(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), TMUT_TYPE_HEADER_VIEW, TMutHeaderView))
#define TMUT_HEADER_VIEW_CLASS(vtable)    (G_TYPE_CHECK_CLASS_CAST ((vtable), TMUT_TYPE_HEADER_VIEW, TMutHeaderViewClass))
#define TMUT_IS_HEADER_VIEW(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TMUT_TYPE_HEADER_VIEW))
#define TMUT_IS_HEADER_VIEW_CLASS(vtable) (G_TYPE_CHECK_CLASS_TYPE ((vtable), TMUT_TYPE_HEADER_VIEW))
#define TMUT_HEADER_VIEW_GET_CLASS(inst)  (G_TYPE_INSTANCE_GET_CLASS ((inst), TMUT_TYPE_HEADER_VIEW, TMutHeaderViewClass))

typedef struct _TMutHeaderView TMutHeaderView;
typedef struct _TMutHeaderViewClass TMutHeaderViewClass;

struct _TMutHeaderView
{
	GtkVBox parent;
};

struct _TMutHeaderViewClass
{
	GtkVBoxClass parent_class;
};

GType tmut_header_view_get_type (void);
TnyHeaderView* tmut_header_view_new (void);


G_END_DECLS

#endif
