#ifndef TMUT_MSG_CREATOR_H
#define TMUT_MSG_CREATOR_H

/* TMut
 * Copyright (C) 2006-2007 Philip Van Hoof <pvanhoof@gnome.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with self library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#include <gtk/gtk.h>
#include <glib-object.h>

#include <tmut-shared.h>
#include <tny-msg.h>
#include <tmut-shell-child.h>

#include <tny-account.h>
#include <tny-account-store-view.h>

G_BEGIN_DECLS

#define TMUT_TYPE_MSG_CREATOR             (tmut_msg_creator_get_type ())
#define TMUT_MSG_CREATOR(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), TMUT_TYPE_MSG_CREATOR, TMutMsgCreator))
#define TMUT_MSG_CREATOR_CLASS(vtable)    (G_TYPE_CHECK_CLASS_CAST ((vtable), TMUT_TYPE_MSG_CREATOR, TMutMsgCreatorClass))
#define TMUT_IS_MSG_CREATOR(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TMUT_TYPE_MSG_CREATOR))
#define TMUT_IS_MSG_CREATOR_CLASS(vtable) (G_TYPE_CHECK_CLASS_TYPE ((vtable), TMUT_TYPE_MSG_CREATOR))
#define TMUT_MSG_CREATOR_GET_CLASS(inst)  (G_TYPE_INSTANCE_GET_CLASS ((inst), TMUT_TYPE_MSG_CREATOR, TMutMsgCreatorClass))


typedef struct _TMutMsgCreator TMutMsgCreator;
typedef struct _TMutMsgCreatorClass TMutMsgCreatorClass;

struct _TMutMsgCreator
{
	GtkVBox parent;
};

struct _TMutMsgCreatorClass
{
	GtkVBoxClass parent_class;
};

GType tmut_msg_creator_get_type (void);
TMutMsgCreator* tmut_msg_creator_new (void);

void tmut_msg_creator_set_reply_msg (TMutMsgCreator *self, TnyMsg *msg);
void tmut_msg_creator_set_forward_msg (TMutMsgCreator *self, TnyMsg *msg);

void tmut_msg_creator_add_attachment (TMutMsgCreator *self, TnyMimePart *part);
void tmut_msg_creator_remove_attachment (TMutMsgCreator *self, TnyMimePart *part);

G_END_DECLS

#endif
