#ifndef TMUT_RINGTONE_PLAYER_H
#define TMUT_RINGTONE_PLAYER_H

/* TMut
 * Copyright (C) 2006-2007 Philip Van Hoof <pvanhoof@gnome.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with self library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#include <tny-shared.h>
#include <tny-folder-observer.h>
#include <tny-folder-change.h>

G_BEGIN_DECLS

#define TMUT_TYPE_RINGTONE_PLAYER             (tmut_ringtone_player_get_type ())
#define TMUT_RINGTONE_PLAYER(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), TMUT_TYPE_RINGTONE_PLAYER, TMutRingtonePlayer))
#define TMUT_RINGTONE_PLAYER_CLASS(vtable)    (G_TYPE_CHECK_CLASS_CAST ((vtable), TMUT_TYPE_RINGTONE_PLAYER, TMutRingtonePlayerClass))
#define TMUT_IS_RINGTONE_PLAYER(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TMUT_TYPE_RINGTONE_PLAYER))
#define TMUT_IS_RINGTONE_PLAYER_CLASS(vtable) (G_TYPE_CHECK_CLASS_TYPE ((vtable), TMUT_TYPE_RINGTONE_PLAYER))
#define TMUT_RINGTONE_PLAYER_GET_CLASS(inst)  (G_TYPE_INSTANCE_GET_CLASS ((inst), TMUT_TYPE_RINGTONE_PLAYER, TMutRingtonePlayerClass))

typedef struct _TMutRingtonePlayer TMutRingtonePlayer;
typedef struct _TMutRingtonePlayerClass TMutRingtonePlayerClass;
typedef enum _TMutRingtone TMutRingtone;

enum _TMutRingtone
{
	TMUT_RINGTONE_NEW_MESSAGE,
};

struct _TMutRingtonePlayer 
{
	GObject parent;
};

struct _TMutRingtonePlayerClass 
{
	GObjectClass parent;
};

GType tmut_ringtone_player_get_type (void);
TnyFolderObserver* tmut_ringtone_player_new (void);


G_END_DECLS

#endif
