#ifndef TMUT_SHELL_WINDOW_H
#define TMUT_SHELL_WINDOW_H

/* TMut
 * Copyright (C) 2006-2007 Philip Van Hoof <pvanhoof@gnome.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with self library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#include <gtk/gtk.h>
#include <glib-object.h>

#include <tmut-shared.h>
#include <tmut-shell-child.h>

G_BEGIN_DECLS

#define TMUT_TYPE_SHELL_WINDOW             (tmut_shell_window_get_type ())
#define TMUT_SHELL_WINDOW(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), TMUT_TYPE_SHELL_WINDOW, TMutShellWindow))
#define TMUT_SHELL_WINDOW_CLASS(vtable)    (G_TYPE_CHECK_CLASS_CAST ((vtable), TMUT_TYPE_SHELL_WINDOW, TMutShellWindowClass))
#define TMUT_IS_SHELL_WINDOW(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TMUT_TYPE_SHELL_WINDOW))
#define TMUT_IS_SHELL_WINDOW_CLASS(vtable) (G_TYPE_CHECK_CLASS_TYPE ((vtable), TMUT_TYPE_SHELL_WINDOW))
#define TMUT_SHELL_WINDOW_GET_CLASS(inst)  (G_TYPE_INSTANCE_GET_CLASS ((inst), TMUT_TYPE_SHELL_WINDOW, TMutShellWindowClass))


#ifndef TMUT_SHARED_H
typedef struct _TMutShellWindow TMutShellWindow;
typedef struct _TMutShellWindowClass TMutShellWindowClass;
#endif

struct _TMutShellWindow
{
	GtkWindow parent;
};

struct _TMutShellWindowClass
{
	GtkWindowClass parent_class;

	/* virtuals */

	void (*set_child) (TMutShellWindow *self, TMutShellChild *child, const gchar *instruction);
	void (*back) (TMutShellWindow *self);
	GtkProgress* (*get_progress) (TMutShellWindow *self);

	/* If you set this one to NULL, it wont ever be called for and you'll
	 * get an empty-everything. Note, though, that you do need to implement
	 * tmut_shell_window_set_child and tmut_shell_window_get_progress 
	 * somehow. Overriding this, and it's up to you! */

	void (*instantiate) (TMutShellWindow *self);

};

GType tmut_shell_window_get_type (void);
TMutShellWindow* tmut_shell_window_new (void);

void tmut_shell_window_back (TMutShellWindow *self);
void tmut_shell_window_set_child (TMutShellWindow *self, TMutShellChild *child, const gchar *instruction);
GtkProgress* tmut_shell_window_get_progress (TMutShellWindow *self);

G_END_DECLS

#endif
